Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Create channel content

Bulk-creates content entries for a channel. Successful entities are returned in data; per-item failures in errors.

POST/api/v2/{team_slug}/{app_slug}/channels/{channel_id}/content
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
channel_idstring<uuid>required
Request body
requiredapplication/json
contentCreateChannelContentItem[]required
min items 1 · max items 20
Show properties
Array of CreateChannelContentItem
parent_idUUIDrequired
parent_typestringrequired
field_typestringrequired
valuestring | null
translationsChannelContentTranslation[] | null
Show properties
Array of ChannelContentTranslation
language_codestringrequired
valuestringrequired
relationshipsUUID[] | null
previewstring[] | null
Responses
201

Created (partial success possible)

dataChannelContent[]required
Show properties
Array of ChannelContent
idUUIDrequired
parent_idUUIDrequired
parent_typestringrequired
field_typestringrequired
valuestring | null
translationsChannelContentTranslation[] | null
Show properties
Array of ChannelContentTranslation
language_codestringrequired
valuestringrequired
relationshipsUUID[] | null
previewstring[] | null
created_atstring<date-time>required
updated_atstring<date-time> | null
errorsChannelContentError[]required
Show properties
Array of ChannelContentError
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
parent_idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://api.enad.io/api/v2/string/string/channels/497f6eca-6276-4993-bfeb-53cbbbba6f08/content' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "content": [
    {
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "parent_type": "string",
      "field_type": "string",
      "value": "string",
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "relationships": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "preview": [
        "string"
      ]
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "parent_type": "string",
      "field_type": "string",
      "value": "string",
      "translations": [
        {
          "language_code": "string",
          "value": "string"
        }
      ],
      "relationships": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "preview": [
        "string"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "parent_id": "1c6ca187-e61f-4301-8dcb-0e9749e89eef",
      "message": "string"
    }
  ]
}